package com.tourism.webadmin.app.website.service;

import com.tourism.common.core.object.MyPageData;
import com.tourism.webadmin.app.website.dto.TourismBannerDto;
import com.tourism.webadmin.app.website.dto.TourismTravelNotesWriteDto;
import com.tourism.webadmin.back.model.TourBusinessBanner;
import com.tourism.webadmin.back.vo.BannerInfoVo;
import com.tourism.webadmin.back.vo.DirectoryInfoVo;
import com.tourism.webadmin.back.vo.TourismProjectTravelNotesWriteVo;

import java.util.List;

/**
 * 门户网站首页Service
 * 
 * @author tourism
 */
public interface BasicToWebService
{
    MyPageData<BannerInfoVo> getBannerInfoList(TourismBannerDto tourismBannerDto);

    MyPageData<DirectoryInfoVo> getDirectoryInfoList(Long parentId, Integer isHotspot, Integer isAll);

    MyPageData<TourismProjectTravelNotesWriteVo> getTourTourismProjectTravelNotesList(TourismTravelNotesWriteDto tourismTravelNotesWriteDto);

    MyPageData<TourismProjectTravelNotesWriteVo> getTravelNotesPageList(TourismTravelNotesWriteDto tourismTravelNotesWriteDto);

    TourismProjectTravelNotesWriteVo travelNotesDetail(String id);

    void userLikeTravelNotesUpdate(Long travelNotesId,Integer type);

    Boolean isLikeTravelNotes(Long travelNotesId);

    void travelNotesViewCountAdd(Long travelNotesId);

    void generate();

    /**
     * 根据业务类型获取banner列表
     * @param businessType
     * @return
     */
    List<TourBusinessBanner> getTourBusinessBannerList(Long businessType);
}
